Можно ли использовать более одной версии php в ubuntu?

Я хочу настроить более одного PHP на моем локальном компьютере, чтобы можно было использовать более одной версии PHP в одной операционной системе. Нравится PHP 5.6 и PHP 7.2?

Да это возможно

brombeer 31.10.2018 11:42

Добро пожаловать, какая у вас версия Ubuntu?

GAD3R 31.10.2018 12:00

Возможный дубликат Несколько версий PHP в одной коробке

Fine 31.10.2018 12:00

Я получил ответ спасибо всем

Jaimin 31.10.2018 12:00
1
4
52
2
Перейти к ответу Данный вопрос помечен как решенный

Ответы 2

Ответ принят как подходящий

Да, ты можешь. Пожалуйста, попробуйте установить как

$ sudo apt install php5.6 
$ sudo apt install php7.0 

Здесь php5.6 и php7.0 - это версия PHP

Вы можете легко установить и то, и другое, но я думаю, что ваш реальный вопрос может быть: «Можете ли вы одновременно запустить PHP 5 и PHP 7 на веб-сервере в Ubuntu?».

Да, это возможно! Но нет, объяснение в виде одного ответа заняло бы слишком много времени. Это также зависит от того, используете ли вы Nginx или Apache в качестве выбранного вами веб-сервера.

Краткое резюме:

  1. Установите PHP-FPM 5.x как службу и запустите его.
  2. Установите PHP-FPM 7.x как службу и запустите его.
  3. Если вы еще не установили свой веб-сервер, сделайте это тоже.
  4. Настройте свой веб-сервер так, чтобы при вызове сценария PHP вызов передавался той версии PHP, которую вы хотите.

Да! Это потребует от вас небольшого исследования конфигурации PHP-FPM и веб-сервера. Поиск в Google по "ubuntu php-fpm одновременно" должен найти много ссылок, чтобы вы начали.

Другие вопросы по теме